Credentials
This endpoint sends a credential to a user based on their profileId
Successful response
Invalid input data
Authorization not provided
Insufficient access
Internal server error
POST /api/credential/send/{profileId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1061
{
"credential": {
"@context": [
"text"
],
"id": "text",
"type": [
"text"
],
"issuer": "text",
"credentialSubject": {
"id": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"refreshService": {
"id": "text",
"type": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"credentialSchema": {
"id": "text",
"type": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"issuanceDate": "text",
"expirationDate": "text",
"credentialStatus": {
"type": "text",
"id": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"name": "text",
"description": "text",
"validFrom": "text",
"validUntil": "text",
"status": {
"type": "text",
"id": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"termsOfUse": {
"type": "text",
"id": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"evidence": {
"id": "text",
"type": [
"text"
],
"name": "text",
"narrative": "text",
"description": "text",
"genre": "text",
"audience": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"renderMethod": {
"type": "text",
"renderSuite": "text",
"template": "text",
"renderProperty": [
"text"
],
"outputPreference": {
"mediaType": "text"
}
},
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}textThis endpoint accepts a credential
Successful response
Invalid input data
Authorization not provided
Insufficient access
Internal server error
POST /api/credential/accept HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 101
{
"uri": "text",
"options": {
"skipNotification": false,
"metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
}trueThis endpoint returns the current user's received credentials
25Successful response
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Invalid input data
Authorization not provided
Insufficient access
Not found
Internal server error
GET /api/credentials/received HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"uri": "text",
"to": "text",
"from": "text",
"sent": "2026-01-01T00:00:00.000Z",
"received": "2026-01-01T00:00:00.000Z",
"metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
]This endpoint returns the current user's sent credentials
25Successful response
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Invalid input data
Authorization not provided
Insufficient access
Not found
Internal server error
GET /api/credentials/sent HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"uri": "text",
"to": "text",
"from": "text",
"sent": "2026-01-01T00:00:00.000Z",
"received": "2026-01-01T00:00:00.000Z",
"metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
]This endpoint returns the current user's incoming credentials
25Successful response
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Invalid input data
Authorization not provided
Insufficient access
Not found
Internal server error
GET /api/credentials/incoming HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"uri": "text",
"to": "text",
"from": "text",
"sent": "2026-01-01T00:00:00.000Z",
"received": "2026-01-01T00:00:00.000Z",
"metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
]This endpoint deletes a credential
Successful response
Invalid input data
Authorization not provided
Insufficient access
Not found
Internal server error
DELETE /api/credential?uri=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
trueThis endpoint returns credential URIs that have been revoked for the current user
Successful response
Invalid input data
Authorization not provided
Insufficient access
Not found
Internal server error
GET /api/credentials/revoked HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
"text"
]Returns holder-owned continuity metadata such as consent records and transaction history
Successful response
Invalid input data
Authorization not provided
Insufficient access
Not found
Internal server error
GET /api/holder-export/metadata HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"consentRecords": [
{
"termsUri": "text",
"status": "live",
"contract": {
"contract": {
"read": {
"anonymize": true,
"credentials": {
"categories": {
"ANY_ADDITIONAL_PROPERTY": {
"required": true,
"defaultEnabled": true
}
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": {
"required": true,
"defaultEnabled": true
}
}
},
"write": {
"credentials": {
"categories": {
"ANY_ADDITIONAL_PROPERTY": {
"required": true,
"defaultEnabled": true
}
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": {
"required": true,
"defaultEnabled": true
}
}
}
},
"owner": {
"profileId": "text",
"displayName": "",
"shortBio": "",
"bio": "",
"did": "text",
"isPrivate": true,
"profileVisibility": "public",
"showEmail": false,
"allowConnectionRequests": "anyone",
"email": "text",
"image": "text",
"heroImage": "text",
"websiteLink": "text",
"isServiceProfile": false,
"type": "text",
"notificationsWebhook": "https://example.com",
"display": {
"backgroundColor": "text",
"backgroundImage": "text",
"fadeBackgroundImage": true,
"repeatBackgroundImage": true,
"fontColor": "text",
"accentColor": "text",
"accentFontColor": "text",
"idBackgroundImage": "text",
"fadeIdBackgroundImage": true,
"idBackgroundColor": "text",
"repeatIdBackgroundImage": true
},
"highlightedCredentials": [
"text"
],
"role": "",
"dob": "",
"country": "text",
"locale": "text",
"approved": true
},
"name": "text",
"subtitle": "text",
"description": "text",
"reasonForAccessing": "text",
"image": "text",
"uri": "text",
"needsGuardianConsent": true,
"redirectUrl": "text",
"frontDoorBoostUri": "text",
"createdAt": "text",
"updatedAt": "text",
"expiresAt": "text",
"autoBoosts": [
"text"
],
"writers": [
{
"profileId": "text",
"displayName": "",
"shortBio": "",
"bio": "",
"did": "text",
"isPrivate": true,
"profileVisibility": "public",
"showEmail": false,
"allowConnectionRequests": "anyone",
"email": "text",
"image": "text",
"heroImage": "text",
"websiteLink": "text",
"isServiceProfile": false,
"type": "text",
"notificationsWebhook": "https://example.com",
"display": {
"backgroundColor": "text",
"backgroundImage": "text",
"fadeBackgroundImage": true,
"repeatBackgroundImage": true,
"fontColor": "text",
"accentColor": "text",
"accentFontColor": "text",
"idBackgroundImage": "text",
"fadeIdBackgroundImage": true,
"idBackgroundColor": "text",
"repeatIdBackgroundImage": true
},
"highlightedCredentials": [
"text"
],
"role": "",
"dob": "",
"country": "text",
"locale": "text",
"approved": true
}
]
},
"terms": {
"read": {
"anonymize": true,
"credentials": {
"shareAll": true,
"sharing": true,
"categories": {
"ANY_ADDITIONAL_PROPERTY": {
"sharing": true,
"shared": [
"text"
],
"shareAll": true,
"shareUntil": "text"
}
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"write": {
"credentials": {
"categories": {
"ANY_ADDITIONAL_PROPERTY": true
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": true
}
},
"deniedWriters": [
"text"
]
},
"transactions": [
{
"expiresAt": "text",
"oneTime": true,
"terms": {
"read": {
"anonymize": true,
"credentials": {
"shareAll": true,
"sharing": true,
"categories": {
"ANY_ADDITIONAL_PROPERTY": {
"sharing": true,
"shared": [
"text"
],
"shareAll": true,
"shareUntil": "text"
}
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"write": {
"credentials": {
"categories": {
"ANY_ADDITIONAL_PROPERTY": true
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": true
}
},
"deniedWriters": [
"text"
]
},
"guardianApproval": {
"guardianProfileId": "text",
"guardianDid": "text",
"approvedAt": "2026-01-01T00:00:00.000Z",
"contractUpdatedAt": "text"
},
"id": "text",
"action": "consent",
"date": "text",
"uris": [
"text"
]
}
]
}
],
"truncated": true,
"warnings": [
"text"
],
"limits": {
"maxConsentRecords": 1,
"maxTransactionsPerConsentRecord": 1
}
}Last updated
Was this helpful?